ros-foxy-rqt-py-common (1.1.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-rqt-py-common (1.1.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 12 Apr 2021 07:00:00 -0000

ros-foxy-rqt-py-common (1.1.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 Apr 2021 07:00:00 -0000

ros-foxy-rqt-py-common (1.0.7-1focal) focal; urgency=high

  * Avoid installing test interfaces  (#228 <https://github.com/ros-visualization/rqt/issues/228>)
  * Contributors: Dirk Thomas

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 05 Feb 2021 08:00:00 -0000

ros-foxy-rqt-py-common (1.0.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 05 May 2020 07:00:00 -0000

ros-foxy-rqt-py-common (1.0.5-1focal) focal; urgency=high

  * use Python debug executable for Windows debug builds (#196 <https://github.com/ros-visualization/rqt/issues/196>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 30 Sep 2019 07:00:00 -0000

ros-foxy-rqt-py-common (1.0.2-1focal) focal; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 04 Feb 2019 08:00:00 -0000

ros-foxy-rqt-py-common (1.0.1-1focal) focal; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 12 Dec 2018 08:00:00 -0000

ros-foxy-rqt-py-common (1.0.0-1focal) focal; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 08:00:00 -0000

ros-foxy-rqt-py-common (0.5.0-1focal) focal; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Apr 2017 07:00:00 -0000

ros-foxy-rqt-py-common (0.4.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 08:00:00 -0000

ros-foxy-rqt-py-common (0.4.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 08:00:00 -0000

ros-foxy-rqt-py-common (0.4.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 08:00:00 -0000

ros-foxy-rqt-py-common (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-foxy-rqt-py-common (0.4.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 07:00:00 -0000

ros-foxy-rqt-py-common (0.4.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-foxy-rqt-py-common (0.4.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 07:00:00 -0000

ros-foxy-rqt-py-common (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.13-1focal) focal; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 08:00:00 -0000

ros-foxy-rqt-py-common (0.3.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.11-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.10-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 15 Jul 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.7-1focal) focal; urgency=high

  * improve topic helpers to make more things plottable (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jul 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 02 Jun 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 May 2014 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.4-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 28 Jan 2014 08:00:00 -0000

ros-foxy-rqt-py-common (0.3.3-1focal) focal; urgency=high

  * fix ui loading of plugin constainer widget

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 08 Jan 2014 08:00:00 -0000

ros-foxy-rqt-py-common (0.3.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Oct 2013 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 09 Oct 2013 07:00:00 -0000

ros-foxy-rqt-py-common (0.3.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 28 Aug 2013 07:00:00 -0000

ros-foxy-rqt-py-common (0.2.17-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 04 Jul 2013 07:00:00 -0000

ros-foxy-rqt-py-common (0.2.16-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 20:33:00 -0000

ros-foxy-rqt-py-common (0.2.15-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 07:02:00 -0000

ros-foxy-rqt-py-common (0.2.14-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 14 Mar 2013 07:00:00 -0000

ros-foxy-rqt-py-common (0.2.13-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 12 Mar 2013 05:14:00 -0000

ros-foxy-rqt-py-common (0.2.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 20:56:00 -0000

ros-foxy-rqt-py-common (0.2.11-1focal) focal; urgency=high

  * Add common system messaging pane widget

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 08 Mar 2013 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.10-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 22 Jan 2013 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 17 Jan 2013 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jan 2013 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Dec 2012 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 23 Dec 2012 08:00:00 -0000

ros-foxy-rqt-py-common (0.2.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sat, 22 Dec 2012 03:11:00 -0000

ros-foxy-rqt-py-common (0.2.4-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 09:13:00 -0000

ros-foxy-rqt-py-common (0.2.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 08:24:00 -0000

ros-foxy-rqt-py-common (0.2.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 02:29:00 -0000

ros-foxy-rqt-py-common (0.2.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 01:47:00 -0000

ros-foxy-rqt-py-common (0.2.0-1focal) focal; urgency=high

  * first release of this package into groovy

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 01:39:00 -0000


